# PhasicFlow: box Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

box Class Reference
Collaboration diagram for box:
[legend]

## Public Member Functions

| TypeInfoNV ("box")
INLINE_FUNCTION_HD | box ()=default
INLINE_FUNCTION_HD | box (const realx3 &minP, const realx3 &maxP)
FUNCTION_H | box (const dictionary &dict)
FUNCTION_H | box (iIstream &is)
INLINE_FUNCTION_HD | box (const box &)=default
INLINE_FUNCTION_HD | box (box &&)=default
INLINE_FUNCTION_HD box & | operator= (const box &)=default
INLINE_FUNCTION_HD box & | operator= (box &&)=default
INLINE_FUNCTION_HD | ~box ()=default
INLINE_FUNCTION_HD bool | isInside (const realx3 &point) const
const INLINE_FUNCTION_HD realx3 & | minPoint () const
const INLINE_FUNCTION_HD realx3 & | maxPoint () const
INLINE_FUNCTION_HD realx3 & | minPoint ()
INLINE_FUNCTION_HD realx3 & | maxPoint ()
FUNCTION_H bool | read (iIstream &is)
FUNCTION_H bool | write (iOstream &os) const
FUNCTION_H bool | read (const dictionary &dict)
FUNCTION_H bool | write (dictionary &dict) const

## Protected Attributes

realx3 | min_ {0,0,0}
realx3 | max_ {1,1,1}

## Detailed Description

Definition at line 32 of file box.hpp.

## Constructor & Destructor Documentation

## box() [1/6]

INLINE_FUNCTION_HD box | ( |  | ) |

default

## box() [2/6]

INLINE_FUNCTION_HD box | ( | const realx3 & | minP,
|  | const realx3 & | maxP
| ) |  |

inline

Definition at line 52 of file box.hpp.

## box() [3/6]

FUNCTION_H box | ( | const dictionary & | dict | ) |

explicit

Definition at line 27 of file box.cpp.

## box() [4/6]

FUNCTION_H box | ( | iIstream & | is | ) |

explicit

Definition at line 43 of file box.cpp.

References fatalExit, ioErrorInFile, IOstream::lineNumber(), and IOstream::name().

Here is the call graph for this function:

## box() [5/6]

INLINE_FUNCTION_HD box | ( | const box & |  | ) |

default

## box() [6/6]

INLINE_FUNCTION_HD box | ( | box && |  | ) |

default

## ~box()

INLINE_FUNCTION_HD ~box | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "box" |  | ) |

## operator=() [1/2]

INLINE_FUNCTION_HD box& operator= | ( | const box & |  | ) |

default

## operator=() [2/2]

INLINE_FUNCTION_HD box& operator= | ( | box && |  | ) |

default

## isInside()

INLINE_FUNCTION_HD bool isInside | ( | const realx3 & | point | ) | const

inline

Definition at line 84 of file box.hpp.

References box::max_, and box::min_.

Referenced by collisionCheck::build(), cells::inDomain(), rectangleMesh::isInsideIndex(), pointFlag< DefaultHostExecutionSpace >::markOutOfBoxDelete(), and selectBox::selectAllPointsInBox().

Here is the caller graph for this function:

## minPoint() [1/2]

const INLINE_FUNCTION_HD realx3& minPoint | ( |  | ) | const

inline

Definition at line 91 of file box.hpp.

References box::min_.

Referenced by cells::bound(), pFlow::boxExtent(), cells::calculate(), pFlow::equal(), pFlow::extendBox(), pFlow::indexToCell(), rectangleMesh::isInsideIndex(), rectangleMesh::minPoint(), domain::minPoint(), boxRegion::peek(), collisionCheck::pointIndex(), cells::pointIndex(), rectangleMesh::rectangleMesh(), and mapperNBS::setSearchBox().

Here is the caller graph for this function:

## maxPoint() [1/2]

const INLINE_FUNCTION_HD realx3& maxPoint | ( |  | ) | const

inline

Definition at line 97 of file box.hpp.

References box::max_.

Referenced by cells::bound(), pFlow::boxExtent(), cells::calculate(), pFlow::equal(), pFlow::extendBox(), rectangleMesh::maxPoint(), domain::maxPoint(), boxRegion::peek(), rectangleMesh::rectangleMesh(), and mapperNBS::setSearchBox().

Here is the caller graph for this function:

## minPoint() [2/2]

INLINE_FUNCTION_HD realx3& minPoint | ( |  | ) |

inline

Definition at line 103 of file box.hpp.

References box::min_.

## maxPoint() [2/2]

INLINE_FUNCTION_HD realx3& maxPoint | ( |  | ) |

inline

Definition at line 109 of file box.hpp.

References box::max_.

## read() [1/2]

FUNCTION_H bool read | ( | iIstream & | is | ) |

Definition at line 57 of file box.cpp.

References box::max_, box::min_, and iIstream::nextData().

Referenced by pFlow::operator>>().

Here is the call graph for this function:
Here is the caller graph for this function:

## write() [1/2]

FUNCTION_H bool write | ( | iOstream & | os | ) | const

Definition at line 65 of file box.cpp.

References IOstream::check(), FUNCTION_NAME, and iOstream::writeWordEntry().

Referenced by pFlow::operator<<().

Here is the call graph for this function:
Here is the caller graph for this function:

## read() [2/2]

FUNCTION_H bool read | ( | const dictionary & | dict | ) |

Definition at line 74 of file box.cpp.

References dictionary::getVal().

Here is the call graph for this function:

## write() [2/2]

FUNCTION_H bool write | ( | dictionary & | dict | ) | const

Definition at line 85 of file box.cpp.

References dictionary::add(), pFlow::endl(), fatalErrorInFunction, and dictionary::globalName().

Here is the call graph for this function:

## Member Data Documentation

## min_

realx3 min_ {0,0,0}

protected

Definition at line 37 of file box.hpp.

Referenced by box::isInside(), box::minPoint(), and box::read().

## max_

realx3 max_ {1,1,1}

protected

Definition at line 40 of file box.hpp.

Referenced by box::isInside(), box::maxPoint(), and box::read().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/box/box.hpp
- src/phasicFlow/structuredData/box/box.cpp